%global project    docsis

%global commitdate  20150218
%global commit      8ef81f605c15269722b7e396e31a59386ad1ac85
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           %{project}-config-encoder
Version:        0.9.6
# FIXME merge AdrianSimionov into upstream master
Release:        4.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Encode a DOCSIS binary configuration file

License:        GPLv2+
URL:            http://%{name}.sf.net
Source0:        https://github.com/AdrianSimionov/%{project}/archive/%{commit}.tar.gz#/%{project}-%{shortcommit}.tar.gz

BuildRequires:  automake libtool 
BuildRequires:  bison bison-devel flex flex-devel
BuildRequires:  net-snmp-devel
BuildRequires:  glib2-devel
BuildRequires:  help2man

# bundled md5 implementation
Provides:       bundled(md5-plumb)

Suggests:       %{name}-snmp
Suggests:       %{name}-doc


%description
This program encodes a DOCSIS binary configuration file
from a human-readable text configuration file. 


%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.


%package snmp
Summary:        SNMP support files for %{name}
BuildArch:      noarch

%description snmp
%{summary}.


%prep
%setup -qn%{project}-%{commit}
# call configure in %build
#sed -i s,.*/configure.*,, autogen.sh
mv configure.in configure.ac
touch build_setup.nsi.in
sh autogen.sh


%build
%configure
# FIXME lexer does not work in parallel, https://github.com/rlaager/docsis/issues/7
#make %{?_smp_mflags}
make


%install
%make_install
# rename binary
rm -f %{buildroot}%{_bindir}/*
cp -p src/%{project} %{buildroot}%{_bindir}/%{name}
# generate manpage
mkdir -p %{buildroot}%{_mandir}/man1
help2man %{buildroot}%{_bindir}/%{name} --no-discard-stderr -o %{buildroot}%{_mandir}/man1/%{name}.1
# move documentation to right location
mkdir -p %{buildroot}%{_pkgdocdir}
mv %{buildroot}%{_datadir}/%{project}/*.html %{buildroot}%{_pkgdocdir}
mv %{buildroot}%{_datadir}/%{project}/examples %{buildroot}%{_pkgdocdir}


%check
pushd tests
# FIXME repair failing tests, https://github.com/rlaager/docsis/issues/9
# docsis1 and docsis2 require nonfree MIB files
# TLV_61_SubMgmtCPEIPv6PrefixList does not work at ARM
rm docsis1_* docsis20* TLV_61_SubMgmtCPEIPv6PrefixList.*
echo Run Tests ...
#sh RunTests.sh >tests.log
sh RunTests.sh
popd


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%files doc
%dir %{_pkgdocdir}
%{_pkgdocdir}/*.html
%{_pkgdocdir}/examples/

%files snmp
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/*-MIB
%{_datadir}/snmp/mibs/DIFFSERV-DSCP-TC


%changelog
* Sat Feb 28 2015 Raphael Groner <projects.rg@smart.ms> - 0.9.6-4.20150218git8ef81f6
- disable a failing test on ARM

* Wed Feb 25 2015 Builder <projects.rg@smart.ms> - 0.9.6-3.20150108git
- fix review issues
- introduce license macro
- new upstream commit
- remove upstreamed patches

* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-2.20140108git
- apply master patches

* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-1.20140107git423fcb3
- initial
